Bug 1077547 - Riak service won't start
Summary: Riak service won't start
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: riak
Version: 20
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-18 08:38 UTC by Mark
Modified: 2016-11-10 02:22 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-10 02:22:07 UTC


Attachments (Terms of Use)

Description Mark 2014-03-18 08:38:20 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Mark 2014-03-18 08:43:29 UTC
Description of problem:

After enabling riak, the service can't be started.

Version-Release number of selected component (if applicable):

riak-1.3.2 (version included with Fedora 20)

How reproducible:

install riak
sudo systemctl riak enable
sudo systemctl riak start

Steps to Reproduce:
1.
2.
3.

Actual results:
riak enters failed state

Expected results:
riak is expected to start

Additional info:

riak.service - Riak Distributed Data Store
   Loaded: loaded (/usr/lib/systemd/system/riak.service; enabled)
   Active: failed (Result: exit-code) since Tue 2014-03-18 04:30:18 EDT; 12s ago
  Process: 1846 ExecStart=/usr/bin/riak start (code=exited, status=1/FAILURE)

Mar 18 04:29:34 localhost.localdomain systemd[1]: Starting Riak Distributed Data Store...
Mar 18 04:30:18 localhost.localdomain riak[1846]: Riak failed to start within 15 seconds,
Mar 18 04:30:18 localhost.localdomain riak[1846]: see the output of 'riak console' for more information.
Mar 18 04:30:18 localhost.localdomain riak[1846]: If you want to wait longer, set the environment variable
Mar 18 04:30:18 localhost.localdomain riak[1846]: WAIT_FOR_ERLANG to the number of seconds to wait.
Mar 18 04:30:18 localhost.localdomain systemd[1]: riak.service: control process exited, code=exited status=1
Mar 18 04:30:18 localhost.localdomain systemd[1]: Failed to start Riak Distributed Data Store.
Mar 18 04:30:18 localhost.localdomain systemd[1]: Unit riak.service entered failed state.
[jmbrooks@localhost ~]$ journalctl -xn
-- Logs begin at Fri 2014-03-14 12:51:09 EDT, end at Tue 2014-03-18 04:30:30 EDT. --
Mar 18 04:29:43 localhost.localdomain riak[2053]: Starting up
Mar 18 04:29:44 localhost.localdomain run_erl[1913]: Erlang closed the connection.
Mar 18 04:30:18 localhost.localdomain riak[1846]: Riak failed to start within 15 seconds,
Mar 18 04:30:18 localhost.localdomain riak[1846]: see the output of 'riak console' for more information.
Mar 18 04:30:18 localhost.localdomain riak[1846]: If you want to wait longer, set the environment variable
Mar 18 04:30:18 localhost.localdomain riak[1846]: WAIT_FOR_ERLANG to the number of seconds to wait.
Mar 18 04:30:18 localhost.localdomain systemd[1]: riak.service: control process exited, code=exited status=1
Mar 18 04:30:18 localhost.localdomain systemd[1]: Failed to start Riak Distributed Data Store.
-- Subject: Unit riak.service has failed
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- Unit riak.service has failed.
-- 
-- The result is failed.
Mar 18 04:30:18 localhost.localdomain systemd[1]: Unit riak.service entered failed state.
Mar 18 04:30:30 localhost.localdomain sudo[2511]: jmbrooks : TTY=pts/0 ; PWD=/home/jmbrooks ; USER=root ; COMMAND=/bin/systemctl status

Comment 2 Bernard Fouché 2014-05-15 09:05:39 UTC
I have a similar issue.

Riak console says:

[riak@riak6-vm1 1.3.2]$ riak console
Exec: /usr/lib64/erlang/erts-5.10.4/bin/erlexec -boot /usr/lib64/riak/releases/1.3.2/riak             -embedded -config /etc/riak/app.config             -pa /usr/lib64/riak/basho-patches             -args_file /etc/riak/vm.args -- console
Root: /usr/lib64/riak
{"init terminating in do_boot",{'cannot load',error_handler,get_files}}

Crash dump was written to: /var/log/riak/erl_crash.dump
init terminating in do_boot ()
[riak@riak6-vm1 1.3.2]

The problem seems to be:

- Riak boot script expects Erlang kernel 2.16.3
- Erlang shipped with FC20 is R16B03 which has Erlang kernel 2.16.4

It also fails on F19 since F19 is also providing R16B03 so if ever one does a 'yum update', the riak node is broken.

[riak@riak6-vm1 1.3.2]$ rpm -qa|grep riak
erlang-riak_api-1.3.2-2.fc20.x86_64
erlang-riak_sysmon-1.1.3-3.fc20.x86_64
erlang-riak_err-1.0.1-5.fc20.x86_64
erlang-riak_control-1.3.2-3.fc20.x86_64
erlang-riak_pb-1.3.3-2.fc20.x86_64
erlang-riak_search-1.3.2-1.fc20.x86_64
erlang-riak_core-1.3.2-1.fc20.x86_64
erlang-riaknostic-1.1.0-1.fc20.x86_64
erlang-riak_kv-1.3.2-1.fc20.x86_64
riak-1.3.2-2.fc20.x86_64
erlang-riak_pipe-1.3.2-2.fc20.x86_64
[riak@riak6-vm1 1.3.2]$ rpm -qa|grep erlang
erlang-eper-0.60-5.20120621git16bae32.fc20.x86_64
erlang-compiler-R16B-03.5.fc20.x86_64
erlang-snmp-R16B-03.5.fc20.x86_64
erlang-ssl-R16B-03.5.fc20.x86_64
erlang-basho_stats-1.0.3-2.fc20.x86_64
erlang-et-R16B-03.5.fc20.x86_64
erlang-riak_api-1.3.2-2.fc20.x86_64
erlang-dialyzer-R16B-03.5.fc20.x86_64
erlang-parsetools-R16B-03.5.fc20.x86_64
erlang-crypto-R16B-03.5.fc20.x86_64
erlang-eunit-R16B-03.5.fc20.x86_64
erlang-merge_index-1.3.0-2.fc20.x86_64
erlang-riak_sysmon-1.1.3-3.fc20.x86_64
erlang-erlsom-1.2.1-13.20120904gitdef76b9.fc20.x86_64
erlang-riak_err-1.0.1-5.fc20.x86_64
erlang-test_server-R16B-03.5.fc20.x86_64
erlang-lfe-0.6.2-3.fc20.x86_64
erlang-neotoma-1.6.0-2.fc20.x86_64
erlang-mustache-0.1.0-6.fc20.x86_64
erlang-riak_control-1.3.2-3.fc20.x86_64
erlang-syntax_tools-R16B-03.5.fc20.x86_64
erlang-lager-1.2.2-2.fc20.x86_64
erlang-mnesia-R16B-03.5.fc20.x86_64
erlang-riak_pb-1.3.3-2.fc20.x86_64
erlang-asn1-R16B-03.5.fc20.x86_64
erlang-mochiweb-2.4.2-3.fc20.x86_64
erlang-bitcask-1.6.3-1.fc20.x86_64
erlang-poolboy-0.9.1-3.fc20.x86_64
erlang-edoc-R16B-03.5.fc20.x86_64
erlang-observer-R16B-03.5.fc20.x86_64
erlang-cluster_info-1.2.3-2.fc20.x86_64
erlang-gettext-2.1.0-0.7.20101022gitb55cb72.fc20.x86_64
erlang-meck-0.7.2-4.fc20.x86_64
erlang-common_test-R16B-03.5.fc20.x86_64
erlang-sidejob-0.2.0-2.fc20.x86_64
erlang-riak_search-1.3.2-1.fc20.x86_64
erlang-ebloom-1.1.2-2.fc20.x86_64
erlang-rebar-2.1.0-0.6.fc20.x86_64
erlang-erts-R16B-03.5.fc20.x86_64
erlang-stdlib-R16B-03.5.fc20.x86_64
erlang-wx-R16B-03.5.fc20.x86_64
erlang-runtime_tools-R16B-03.5.fc20.x86_64
erlang-gs-R16B-03.5.fc20.x86_64
erlang-public_key-R16B-03.5.fc20.x86_64
erlang-webmachine-1.10.1-3.fc20.x86_64
erlang-sext-1.1-2.fc20.x86_64
erlang-bear-0.1.3-2.fc20.x86_64
erlang-ssh-R16B-03.5.fc20.x86_64
erlang-tools-R16B-03.5.fc20.x86_64
erlang-riak_core-1.3.2-1.fc20.x86_64
erlang-erlydtl-0.7.0-1.20130214git6a9845f.fc19.x86_64
erlang-riaknostic-1.1.0-1.fc20.x86_64
erlang-otp_mibs-R16B-03.5.fc20.x86_64
erlang-riak_kv-1.3.2-1.fc20.x86_64
erlang-erl_interface-R16B-03.5.fc20.x86_64
erlang-kernel-R16B-03.5.fc20.x86_64
erlang-xmerl-R16B-03.5.fc20.x86_64
erlang-getopt-0.7.0-2.fc20.x86_64
erlang-js-1.2.2-3.fc20.x86_64
erlang-folsom-0.7.4-2.fc20.x86_64
erlang-sasl-R16B-03.5.fc20.x86_64
erlang-reltool-R16B-03.5.fc20.x86_64
erlang-os_mon-R16B-03.5.fc20.x86_64
erlang-gtknode-0.32-6.20110310git19ddfd5.fc20.x86_64
erlang-hipe-R16B-03.5.fc20.x86_64
erlang-protobuffs-0.8.0-3.fc20.x86_64
erlang-inets-R16B-03.5.fc20.x86_64
erlang-eleveldb-1.3.2-2.fc20.x86_64
erlang-webtool-R16B-03.5.fc20.x86_64
erlang-riak_pipe-1.3.2-2.fc20.x86_64
erlang-debugger-R16B-03.5.fc20.x86_64
[riak@riak6-vm1 1.3.2]$ cat /usr/lib64/erlang/releases/RELEASES
[{release,"OTP  APN 181 01","R16B03-1","5.10.4",
          [{kernel,"2.16.4","/usr/lib64/erlang/lib/kernel-2.16.4"},
           {stdlib,"1.19.4","/usr/lib64/erlang/lib/stdlib-1.19.4"},
           {sasl,"2.3.4","/usr/lib64/erlang/lib/sasl-2.3.4"}],
          permanent}].
[riak@riak6-vm1 1.3.2]$ grep 2.16 /usr/lib64/riak/releases/1.3.2/*
Binary file /usr/lib64/riak/releases/1.3.2/riak.boot matches
/usr/lib64/riak/releases/1.3.2/riak.rel:         [{kernel,"2.16.3"},
/usr/lib64/riak/releases/1.3.2/riak.script:     {path,["$ROOT/lib/kernel-2.16.3/ebin","$ROOT/lib/stdlib-1.19.3/ebin"]},
/usr/lib64/riak/releases/1.3.2/riak.script:     {path,["$ROOT/lib/kernel-2.16.3/ebin"]},
/usr/lib64/riak/releases/1.3.2/riak.script:         ["$ROOT/lib/kernel-2.16.3/ebin","$ROOT/lib/stdlib-1.19.3/ebin",
/usr/lib64/riak/releases/1.3.2/riak.script:                   {vsn,"2.16.3"},
Binary file /usr/lib64/riak/releases/1.3.2/start_clean.boot matches
/usr/lib64/riak/releases/1.3.2/start_clean.rel:         [{kernel,"2.16.3"},
/usr/lib64/riak/releases/1.3.2/start_clean.script:     {path,["$ROOT/lib/kernel-2.16.3/ebin","$ROOT/lib/stdlib-1.19.3/ebin"]},
/usr/lib64/riak/releases/1.3.2/start_clean.script:     {path,["$ROOT/lib/kernel-2.16.3/ebin"]},
/usr/lib64/riak/releases/1.3.2/start_clean.script:         ["$ROOT/lib/kernel-2.16.3/ebin","$ROOT/lib/stdlib-1.19.3/ebin",
/usr/lib64/riak/releases/1.3.2/start_clean.script:                   {vsn,"2.16.3"},
[riak@riak6-vm1 1.3.2]$

Comment 3 Bernard Fouché 2014-05-22 12:34:52 UTC
This is a major issue: riak just don't work anymore on F19 or F20 since the last Erlang update.

There is no reaction about this issue since the initial report dated March 18th. 

What is the plan to solve this?

I just want to know if there is no more support for Riak on Fedora so I have to build it myself.

Thanks!

Comment 4 Bernard Fouché 2014-05-26 09:43:37 UTC
Having no feedback about this issue, I rebuilt a RPM from SRPMS on a system with Erlang R16B03: Riak starts correctly and I could start the process of joining an existing cluster.

So it is just a matter of having Riak using the correct Erlang versions...

Comment 5 Lukas Vrabec 2014-10-01 13:33:12 UTC
Any progress here?

Comment 6 Bernard Fouché 2014-10-03 12:27:29 UTC
None AFAIK. We are stuck with a non working package for months.

http://fedoraproject.org/wiki/Features/Riak last updated 2012-08-20 and was targeting F18.

Basho offers a riak 2.0 rpm for F19 but nothing for F20.

It seems that we are a very small number of users on Fedora...

Comment 7 Lukas Vrabec 2014-10-03 12:36:39 UTC
I need write selinux-policy for this service but I cannot test it, because I don't have working package.

Comment 8 Fedora End Of Life 2015-05-29 11:17:44 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2015-06-29 19:33:28 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 10 Filipe Rosset 2016-11-10 02:22:07 UTC
2016-05-31: Retired because of broken deps in preparation of Fedora 24

Reference: https://fedorahosted.org/rel-eng/ticket/6416


Note You need to log in before you can comment on or make changes to this bug.